Module ij
Package ij.io

# Class DirectoryChooser

java.lang.Object
ij.io.DirectoryChooser

public class DirectoryChooser extends Object
This class displays a dialog box that allows the user can select a directory.

## Constructor Summary

Constructors
Constructor
Description
`DirectoryChooser(String title)`
Display a dialog using the specified title.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDirectory()`
Returns the directory selected by the user.
`static void`
`setDefaultDirectory(String dir)`
Sets the default directory presented in the dialog.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DirectoryChooser

public DirectoryChooser(String title)
Display a dialog using the specified title.

## Method Details

### getDirectory

public String getDirectory()
Returns the directory selected by the user.

### setDefaultDirectory

public static void setDefaultDirectory(String dir)
Sets the default directory presented in the dialog.